Click image for larger version. 

Name:	view1.jpg 
Views:	3 
Size:	9.5 KB 
ID:	6892Click image for larger version. 

Name:	view2.jpg 
Views:	2 
Size:	12.3 KB 
ID:	6893
As shown in attachments. In Cero, Different view layer has different dimensions. I need to achieve this by VB api.
I have tried IpfcLayer as follow:
layerModelItems = CType(model, IpfcModelItemOwner).ListItems(EpfcModelItemType.Ep fcITEM_LAYER)

Dim itemsInLayer As IpfcModelItems
Dim layer As IpfcLayer
For i = 0 To layerModelItems.Count - 1
layer = CType(layerModelItems.Item(i), IpfcLayer)
Debug.WriteLine(layerModelItems.Item(i).GetName())
If (Not layer Is Nothing) Then
itemsInLayer = layer.ListItems()
For j = 0 To itemsInLayer.Count
Debug.WriteLine((itemsInLayer.Item(j).GetName()))
Next
End If

Next

However, it is not what I want.

Is there any idea on this? I will appreciate for any suggestions/idea.